[android-components](../../../index.md) / [mozilla.components.browser.engine.system](../../index.md) / [SystemEngineView](../index.md) / [ImageHandler](./index.md)

# ImageHandler

`class ImageHandler : `[`Handler`](https://developer.android.com/reference/android/os/Handler.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/engine-system/src/main/java/mozilla/components/browser/engine/system/SystemEngineView.kt#L568)

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `ImageHandler(session: `[`SystemEngineSession`](../../-system-engine-session/index.md)`?)` |

### Properties

| Name | Summary |
|---|---|
| [session](session.md) | `val session: `[`SystemEngineSession`](../../-system-engine-session/index.md)`?` |

### Functions

| Name | Summary |
|---|---|
| [handleMessage](handle-message.md) | `fun handleMessage(msg: `[`Message`](https://developer.android.com/reference/android/os/Message.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) |
